/// <reference types="node" />
import { DocumentClient } from "aws-sdk/lib/dynamodb/document_client";
import { Readable } from "stream";
export declare class Collection<Document> {
    private tableName;
    private documentClient;
    constructor(tableName: string, documentClient: DocumentClient);
    get(key: DocumentClient.Key): Promise<Document>;
    scan(input?: DocumentClient.ScanInput): Readable;
    query(input?: DocumentClient.ScanInput): Readable;
}
